package com.brilliance.isc.mda.dao;


import com.brilliance.isc.esb.newmodel.cecm.Battrn;
import com.brilliance.isc.esb.newmodel.cecm.Cecmdata;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BattrnMapper {

    int insert(Battrn record);

    int insertSelective(Battrn record);

    int updateByPrimaryKeySelective(Battrn record);

    int updateByPrimaryKey(Battrn record);

    int deleteByPrimaryKey(Battrn record);

    int deleteByIds(Collection<Object> collection);

    Battrn selectByPrimaryKey(Battrn record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Battrn> dyncRead(Map<String, Object> dyncMap);

    Battrn selectByTrninr(String trninr);

    int deleteByTrninr(String trninr);
}